
From: Adrian Bunk <bunk@stusta.de>

acpi_save_state_disk does nothing and is completely unused.

This patch was already ACK'ed by Pavel Machek.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/acpi/sleep.c   |    9 ---------
 25-akpm/arch/x86_64/kernel/acpi/sleep.c |    9 ---------
 25-akpm/include/asm-i386/acpi.h         |    1 -
 25-akpm/include/asm-i386/suspend.h      |    1 -
 25-akpm/include/asm-x86_64/acpi.h       |    1 -
 25-akpm/include/asm-x86_64/suspend.h    |    1 -
 6 files changed, 22 deletions(-)

diff -puN arch/i386/kernel/acpi/sleep.c~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk arch/i386/kernel/acpi/sleep.c
--- 25/arch/i386/kernel/acpi/sleep.c~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk	2005-03-10 19:37:47.000000000 -0800
+++ 25-akpm/arch/i386/kernel/acpi/sleep.c	2005-03-10 19:37:47.000000000 -0800
@@ -47,15 +47,6 @@ int acpi_save_state_mem (void)
 	return 0;
 }
 
-/**
- * acpi_save_state_disk - save kernel state to disk
- *
- */
-int acpi_save_state_disk (void)
-{
-	return 1;
-}
-
 /*
  * acpi_restore_state - undo effects of acpi_save_state_mem
  */
diff -puN arch/x86_64/kernel/acpi/sleep.c~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk arch/x86_64/kernel/acpi/sleep.c
--- 25/arch/x86_64/kernel/acpi/sleep.c~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk	2005-03-10 19:37:47.000000000 -0800
+++ 25-akpm/arch/x86_64/kernel/acpi/sleep.c	2005-03-10 19:37:47.000000000 -0800
@@ -87,15 +87,6 @@ int acpi_save_state_mem (void)
 	return 0;
 }
 
-/**
- * acpi_save_state_disk - save kernel state to disk
- *
- */
-int acpi_save_state_disk (void)
-{
-	return 1;
-}
-
 /*
  * acpi_restore_state
  */
diff -puN include/asm-i386/acpi.h~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk include/asm-i386/acpi.h
--- 25/include/asm-i386/acpi.h~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk	2005-03-10 19:37:47.000000000 -0800
+++ 25-akpm/include/asm-i386/acpi.h	2005-03-10 19:37:47.000000000 -0800
@@ -174,7 +174,6 @@ static inline int acpi_irq_balance_set(c
 
 /* routines for saving/restoring kernel state */
 extern int acpi_save_state_mem(void);
-extern int acpi_save_state_disk(void);
 extern void acpi_restore_state_mem(void);
 
 extern unsigned long acpi_wakeup_address;
diff -puN include/asm-i386/suspend.h~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk include/asm-i386/suspend.h
--- 25/include/asm-i386/suspend.h~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk	2005-03-10 19:37:47.000000000 -0800
+++ 25-akpm/include/asm-i386/suspend.h	2005-03-10 19:37:47.000000000 -0800
@@ -63,5 +63,4 @@ static inline void acpi_save_register_st
 
 /* routines for saving/restoring kernel state */
 extern int acpi_save_state_mem(void);
-extern int acpi_save_state_disk(void);
 #endif
diff -puN include/asm-x86_64/acpi.h~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk include/asm-x86_64/acpi.h
--- 25/include/asm-x86_64/acpi.h~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk	2005-03-10 19:37:47.000000000 -0800
+++ 25-akpm/include/asm-x86_64/acpi.h	2005-03-10 19:37:47.000000000 -0800
@@ -153,7 +153,6 @@ static inline int acpi_irq_balance_set(c
 
 /* routines for saving/restoring kernel state */
 extern int acpi_save_state_mem(void);
-extern int acpi_save_state_disk(void);
 extern void acpi_restore_state_mem(void);
 
 extern unsigned long acpi_wakeup_address;
diff -puN include/asm-x86_64/suspend.h~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk include/asm-x86_64/suspend.h
--- 25/include/asm-x86_64/suspend.h~i386-x86_64-acpi-sleepc-kill-unused-acpi_save_state_disk	2005-03-10 19:37:47.000000000 -0800
+++ 25-akpm/include/asm-x86_64/suspend.h	2005-03-10 19:37:47.000000000 -0800
@@ -55,5 +55,4 @@ extern unsigned long saved_edi;
 
 /* routines for saving/restoring kernel state */
 extern int acpi_save_state_mem(void);
-extern int acpi_save_state_disk(void);
 #endif
_
